| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
CHIP: LPC18xx/43xx ATimer Driver
LPC18xx/43xx chip specific drivers

## Detailed Description

## Functions
void | Chip_ATIMER_Init (LPC_ATIMER_T *pATIMER, uint32_t PresetValue)
| Initialize Alarm Timer.
STATIC INLINE void | Chip_ATIMER_DeInit (LPC_ATIMER_T *pATIMER)
| Close ATIMER device.
STATIC INLINE void | Chip_ATIMER_IntEnable (LPC_ATIMER_T *pATIMER)
| Enable ATIMER Interrupt.
STATIC INLINE void | Chip_ATIMER_IntDisable (LPC_ATIMER_T *pATIMER)
| Disable ATIMER Interrupt.
STATIC INLINE void | Chip_ATIMER_ClearIntStatus (LPC_ATIMER_T *pATIMER)
| Clear ATIMER Interrupt Status.
STATIC INLINE void | Chip_ATIMER_SetIntStatus (LPC_ATIMER_T *pATIMER)
| Set ATIMER Interrupt Status.
STATIC INLINE void | Chip_ATIMER_UpdatePresetValue (LPC_ATIMER_T *pATIMER, uint32_t PresetValue)
| Update Preset value.
STATIC INLINE uint32_t | Chip_ATIMER_GetPresetValue (LPC_ATIMER_T *pATIMER)
| Read value of preset register.

## Function Documentation

STATIC INLINE void Chip_ATIMER_ClearIntStatus | ( | LPC_ATIMER_T * | pATIMER | ) |

Clear ATIMER Interrupt Status.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 83 of file atimer_18xx_43xx.h.

STATIC INLINE void Chip_ATIMER_DeInit | ( | LPC_ATIMER_T * | pATIMER | ) |

Close ATIMER device.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 53 of file atimer_18xx_43xx.h.

STATIC INLINE uint32_t Chip_ATIMER_GetPresetValue | ( | LPC_ATIMER_T * | pATIMER | ) |

Read value of preset register.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  Value of capture register

Definition at line 114 of file atimer_18xx_43xx.h.

void Chip_ATIMER_Init | ( | LPC_ATIMER_T * | pATIMER,
|  | uint32_t | PresetValue
| ) |  |

Initialize Alarm Timer.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip
  PresetValue | : Count of 1 to 1024s for Alarm

Returns
  None

Definition at line 51 of file atimer_18xx_43xx.c.

STATIC INLINE void Chip_ATIMER_IntDisable | ( | LPC_ATIMER_T * | pATIMER | ) |

Disable ATIMER Interrupt.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 73 of file atimer_18xx_43xx.h.

STATIC INLINE void Chip_ATIMER_IntEnable | ( | LPC_ATIMER_T * | pATIMER | ) |

Enable ATIMER Interrupt.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 63 of file atimer_18xx_43xx.h.

STATIC INLINE void Chip_ATIMER_SetIntStatus | ( | LPC_ATIMER_T * | pATIMER | ) |

Set ATIMER Interrupt Status.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip

Returns
  None

Definition at line 93 of file atimer_18xx_43xx.h.

STATIC INLINE void Chip_ATIMER_UpdatePresetValue | ( | LPC_ATIMER_T * | pATIMER,
|  | uint32_t | PresetValue
| ) |  |

Update Preset value.

Parameters

  pATIMER | : The base of ATIMER peripheral on the chip
  PresetValue | : updated preset value

Returns
  Nothing

Definition at line 104 of file atimer_18xx_43xx.h.